@font-face {
  font-family: "Gotham";
  font-weight: 900;
  src: url("./fonts/GothamPro-Black.woff2") format("woff2"),
    url("./fonts/GothamPro-Black.woff") format("woff");
}

@font-face {
  font-family: "Gotham";
  font-weight: 500;
  src: url("./fonts/GothamPro-Medium.woff2") format("woff2"),
    url("./fonts/GothamPro-Medium.woff") format("woff");
}

@font-face {
  font-family: "Gotham";
  font-weight: bold;
  src: url("./fonts/GothamPro-Bold.woff2") format("woff2"),
    url("./fonts/GothamPro-Bold.woff") format("woff");
}

html {
  font-family: Gotham;

  min-height: 100%;
  background-color: #ed4159;
  background-image: url(./background.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
}

body {
  min-height: 100%;
}

.container {
  overflow: hidden;
  padding-left: 16px;
  padding-right: 16px;
  padding-bottom: 16px;
  max-width: 600px;
  margin-left: auto;
  margin-right: auto;
}

.logo {
  display: block;
  width: 182px;
  height: 40px;
  margin-left: auto;
  margin-right: auto;
  margin-top: 43px;
}

.login-form, .user-profile {
  border-radius: 8px;
  box-shadow: 0 2px 16px 0 rgba(0, 0, 0, 0.15);
  background-color: white;
  padding: 32px 24px;
  box-sizing: border-box;
  margin-top: 37px;
}

@media screen and (min-width: 768px) {
  .logo {
    margin-top: 142px;
    width: 315px;
    height: 69px;
  }

  .app-container__body {
    padding: 48px;
    margin-top: 91px;
  }
}

.title {
  opacity: 0.8;
  font-size: 20px;
  line-height: 1.2;
  text-align: center;
  color: #262626;
}

.login-form__text-input--email {
  margin-top: 32px;
  width: 100%;
}

.login-form__text-input--password {
  margin-top: 24px;
  width: 100%;
}

.login-form__error {
  margin-top: 24px;
  border-radius: 4px;
  background-color: rgba(237, 65, 89, 0.25);
  font-size: 12px;
  font-weight: 500;
  color: #ed4159;
  padding: 14px;
}

.login-form__submit {
  width: max-content;
  min-width: 145px;
  margin-top: 40px;
  margin-bottom: 24px;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 768px) {
  .title {
    font-size: 24px;
  }

  .login-form__text-input--email {
    margin-top: 48px;
  }

  .login-form__text-input--password {
    margin-top: 32px;
  }

  .login-form__error {
    margin-top: 32px;
    font-size: 14px;
    padding: 14px 16px;
  }

  .login-form__submit {
    margin-top: 60px;
    margin-bottom: 12px;
  }
}

.user-profile__avatar {
  width: 86px;
  height: 86px;
  border-radius: 50%;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.user-profile__name {
  opacity: 0.8;
  font-size: 18px;
  letter-spacing: 0.15px;
  text-align: center;
  color: #262626;
  display: block;
  margin-top: 24px;
}

.user-profile__logout {
  min-width: 145px;
  margin-top: 40px;
  margin-bottom: 24px;
  margin-left: auto;
  margin-right: auto;
}

@media screen and (min-width: 768px) {
  .user-profile__avatar {
    width: 128px;
    height: 128px;
  }

  .user-profile__name {
    font-size: 28px;
    margin-top: 40px;
  }

  .user-profile__logout {
    margin-top: 56px;
  }
}

.login-form__text-input {
  display: block;
  border-radius: 4px;
  background-color: #f1f1f1;
  border: solid 1px transparent;
  padding: 14px 16px;
  font-family: Gotham, sans-serif;
  font-size: 16px;
  font-weight: 500;
  color: rgba(38, 38, 38, 0.8);
  outline: none;
  -webkit-appearance: none;
  box-sizing: border-box;
}

.login-form__text-input::placeholder {
  color: rgba(38, 38, 38, 0.4);
}

.login-form__text-input:focus {
  border-color: rgba(151, 151, 151, 0.25);
}

.login-form__text-input--invalid,
.login-form__text-input--invalid:focus {
  color: #ed4159;
  border-color: #ed4159;
}

.login-form__text-input--invalid::placeholder {
  color: rgba(237, 65, 89, 0.8);
}

.button {
  box-sizing: border-box;
  display: block;
  outline: none;
  border: 0;
  padding: 16px 32px;
  height: 48px;
  border-radius: 100px;
  box-shadow: 0 4px 16px 0 rgba(237, 65, 89, 0.4);
  background-color: #ed4159;
  text-align: center;
  -webkit-appearance: none;
  font-size: 14px;
  font-weight: 500;
  text-align: center;
  color: #ffffff;
}

.button:hover,
.button:focus {
  box-shadow: 0 6px 20px 0 rgba(237, 65, 89, 0.4);
  background-color: #ffffff;
  color: #ed4159;
}

.button:active {
  box-shadow: 0 2px 10px 0 rgba(237, 65, 89, 0.5);
  background-color: #ffffff;
  color: #ed4159;
}
